#include "app.h"

Input *App::_input;
Sound *App::_sound;
Config *App::_config;

void App::Init()
{
    App::_input = new Input();
    App::_sound = new Sound();
    App::_config = new Config();
}

void App::Free()
{
    delete App::_input;
    delete App::_sound;
    delete App::_config;
}

void App::Update()
{
    App::_input->Update();
}

const Input *App::GetInput()
{
    return App::_input;
}

Sound *App::GetSound()
{
    return App::_sound;
}

Config *App::GetConfig()
{
    return App::_config;
}
